/* TODO 7315 */
delete customersalesprice csp
 where not exists
 (select plpc.productlistpercustomer_id
          from productlistpercustomer plpc
         where plpc.customer_id = csp.customer_id
           and plpc.product_id = csp.product_id
           and plpc.sizedefinition_id = csp.sizedefinition_id);